<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles/styles.css">
    <script src="js/animation.js" defer></script>
    <script src="js/validation.js" defer></script>
    <script src="js/httpRequests.js" defer></script>
    <title>Rise Airlines - Airlines</title>
</head>

<body>
    <header class="navbar">
        <h1><a href="index.html">Rise Airlines</a> <img src="assets/header-plane.png" alt="plane"></h1>
        <nav>
            <ul>
                <li><a href="airports.html">Airports</a></li>
                <li><a href="airlines.html">Airlines</a></li>
                <li><a href="flights.html">Flights</a></li>
            </ul>
        </nav>
    </header>
    <main class="content">
        <button id="scrollToTopBtn">↑</button>
        <div class="title">
            <a href="index.html"><img src="assets/left sidebar.png" alt=""></a>
            <h2>Airlines</h2>
        </div>
        <hr>
        <div class="container">
            <form asp-controller="Airline" asp-action="Search" id="searchForm">
                <input type="text" id="searchInput" name="searchText" placeholder="Search...">
                <select id="filterDropdown" name="filterCriteria">
                    <option value="Name">Name</option>
                    <option value="Founded">Founded</option>
                    <option value="FleetSize">FleetSize</option>
                    <option value="Description">Description</option>
                </select>
                <button id="searchButton" type="submit">Search</button>
            </form>
        </div>
        <div class="table fade-in">
            <table>
                <thead>
                    <tr>
                        <th class="table-head-tag">Name</th>
                        <th class="table-head-tag">Founded</th>
                        <th class="table-head-tag">Fleet size</th>
                        <th class="table-head-tag">Description</th>
                        <th class="table-head-tag">Buttons</th>
                    </tr>
                </thead>
                <tbody id="airlinesTableBody">
                </tbody>
            </table>
        </div>
        <div class="showFormButton">
            <button id="showMoreButton">Show more</button>
            <button id="showFormButton">Show Form</button>
        </div>
        <div class="form fade-in" id="formSection">
            <form id="flightForm" method="post">
                <fieldset>
                    <legend>Add New Airline</legend>

                    <label for="Name">Name:</label>
                    <input type="text" id="name" name="Name" required />
                    <span id="nameError" class="error"></span>

                    <label for="Founded">Founded:</label>
                    <input type="datetime-local" id="founded" name="Founded" required />
                    <span id="foundedError" class="error"></span>

                    <label for="FleetSize">Fleet size:</label>
                    <input type="number" id="fleet_size" name="FleetSize" required />
                    <span id="fleetSizeError" class="error"></span>

                    <label for="Description">Description:</label>
                    <input type="text" id="description" name="Description" required />
                    <span id="descriptionError" class="error"></span>

                    <button type="submit" id="submitButton" disabled>Submit</button>
                </fieldset>
            </form>
        </div>
        <div style="height: 2000px;">Scroll down to see the button in action!</div>
    </main>
    <footer class="footer">
        <p>Rise Airlines 2024 &copy;</p>
    </footer>
</body>

</html>